const express = require('express');
const router = express.Router();
const controller = require('../controllers/mangaController');

// CRUD para mangas
router.post('/add', controller.insertManga);
router.get('/list/:userId', controller.getMangaByUser);
router.delete('/delete/:id', controller.deleteManga);
router.put('/:id', controller.updateManga);
router.get('/user/:userId/status/:status', controller.getMangaByUserAndStatus);
module.exports = router;
